class MakeThumbnailBaseNullableInPosts < ActiveRecord::Migration[7.0]
  def up
    change_column_null :posts, :thumbnail_base, true

    execute <<~SQL
      UPDATE
        posts
      SET
        thumbnail_base = NULL
      WHERE
        thumbnail_base = ''
    SQL
  end

  def down
    execute <<~SQL
      UPDATE
        posts
      SET
        thumbnail_base = ''
      WHERE
        thumbnail_base IS NULL
    SQL

    change_column_null :posts, :thumbnail_base, false
  end
end
